!
      program tst
      implicit none
!
      integer :: j0,j1,j2
      common/int_global/ j0,j1,j2
!
      integer :: i0,i1,i2
      common/int_priv/ i0,i1,i2
!$OMP THREADPRIVATE (/int_priv/)
      integer :: i
!
      i0 = 20
      i1 = 25
      i2 = 30
      j0 = 1
      j1 = 2
      j2 = 3
!$OMP PARALLEL DO PRIVATE(i)
      do i=1,20
        i0 = i+20
        i1 = i+25
        i2 = i+30
        write(6,"('main: i=',i2,' i0,1,2=',3i4,' j0,1,2=',3i4)") 
     |    i,i0,i1,i2, j0,j1,j2
      enddo
      end
